  <p><b><i>ImageHost Terms of Service</i></b></p>

  <p>1. <i>Definitions</i>: </p>
  <p>'ImageHost' refers to the ImageHost Corporation and this website, and
    excludes its shareholders, owners, or operators.<br />
    'User' refers to the individual who uploads or has uploaded files to ImageHost.</p>
  <p>2. <i>Privacy Policy</i>: </p>
<p>At any given time, the following information about a user may 
be collected:</p>  
<ul>
    <li>IP Address</li>
    <li>Email address</li>
    <li>Tracking cookie, based on browser's sessionID</li>
    <li>Time at which a file is uploaded</li>
    <li>File's URL</li>
    <li>Registration cookie</li>
    <li>Photoblog cookie</li>
  </ul>
  <p>The above-listed information is kept secure in ImageHost's database. This 
    information and data is used in conjunction with its respective services. Some of the above-listed information 
    may also be used in an effort to assist law enforcement entities regarding 
    the uploading of illegal content. ImageHost is committed to privacy and will 
    never, under any circumstances, sell, distribute, or otherwise reveal this 
    information to any non-law-enforcement third party entities.</p>
  <p>3. <i>ImageHost Terms of Service:</i></p>
  <p>ImageHost reserves the right to remove or replace any uploaded files, and assumes no liability for lost 
registration links or misplaced file 
    URLS. It is user's responsibility to keep track of this information.</p>
  <p>The following types illegal files may not be uploaded under any circumstances:</p>
  <ul>
    <li>Files that are pedophiliac. This includes, but is not limited to, persons under the age of 18 either 
posing as "models" or taking part in otherwise sexually implicit 
      or explicit situations. </li>
    <li>Files that are illegal and/or are in violation of any United States laws pertaining to digital content usage.</li>
  </ul>
  Uploading any type of the above-mentioned files will result in: 
  <ul>
    <li>The immediate termination of user's ability to use ImageHost or any 
      of its provided services. A banned user will experience the following consequences:
      <ul>
        <li>The ImageHost website will not load.</li>
        <li>All ImageHost-hosted images will not load.</li>
        <li>All user-hosted images will be deleted.</li>
      </ul>
    </li>
    <li>Authorities may be contacted. Regarding the infringing content, any information, 
      such as time of upload, IP address, and tracking cookie, will be shared 
      with either the FBI and/or Interpol, depending on both the severity of the 
      infringement and the applicable cause of removal of future harm. With this 
      information, these two agencies will be able to find and arrest the user 
      in regard to any of the above-mentioned infringements.</li>
  </ul>
  <p>To report this or any type of abuse, please visit the Abuse Department.</p>
  <p>The following types of infringing files may not be uploaded under any circumstances:</p>
  <ul>
    <li>Files that are pornographic. This includes, but is not limited to, files 
      depicting genetalia, nudity, or sexual situations.</li>
    <li>Files that infringe on the copyrights of any entity. This includes, but 
      is not limited to, copyrighted photographs, as well as files for which user 
      lacks usage and distribution permissions.</li>
    <li>Files whose intended use or purpose is to harrass individual or multiple 
      persons.</li>
    <li>Files whose intended use or purpose is the promotion of products or services 
      through advertisements or commercial profit. This includes, but is not limited 
      to, email spam and banner advertisements.</li>
    <li>Files that are not of the allowed filetypes. This includes archived non-image 
      files.</li>
  </ul>
  <p> Uploading any type of the above-mentioned files will result in:</p>
  <ul>
    <li>The immediate termination of user's ability to use ImageHost or any 
      of its provided services. A banned user will experience the following consequences:
      <ul>
        <li>The ImageHost website will not load.</li>
        <li>All ImageHost-hosted images will not load.</li>
        <li>All user-hosted images will be deleted.</li>
      </ul>
    </li>
  </ul>
  <p>ImageHost will not hesitate to completely ban any domain which uses ImageHost's 
    services without regard to ImageHost's Terms of Service. If a domain is banned, 
    any file hotlinked on that domain will display this image. If such a situation 
    occurs, the domain's owner must ensure the quick removal of all files hotlinked 
    from ImageHost on that domain. </p>
  <p> If the domain's owner feels that the domain was banned without justification, 
    the domain's owner should Contact ImageHost. Make absolutely sure to provide 
    a direct link to the URL that shows the banned images, not just the site's 
    domain name.</p>
  <p> If a domain has the following strings of characters, it will be banned regardless: 
    "toplist", "topsites", "porn". </p>
  <p>4 <i>Legal Policy:</i></p>
  <p>These Terms of Service are subject to change without prior warning. By using 
    ImageHost, user agrees not to involve ImageHost in any type of legal action. 
    ImageHost directs full legal responsibility of the contents of the files 
    that are uploaded to ImageHost to individual users. <br />
    <br />
    All files are &copy; to their respective owners. All other content &copy; 
    ImageHost. ImageHost is not responsible for the content any uploaded files, 
    nor is it in affiliation with any entities that may be represented in the 
    uploaded files. <br />
    <br />
    Except where diligently implied, absolutely NO part of ImageHost may be 
    reproduced or recreated without<br />
    explicit written permission by operators of ImageHost and certified written 
    verification by Notary Public.</p>