<?php
	require 'config.php';
	
	$template->set_filenames(array(
		'header' 	=> 'header.tpl',
		'body' 		=> 'uploaded.tpl',
		'footer' 	=> 'footer.tpl',
		)
	);
	
	foreach ($_FILES as $file_name => $file_array)
	{
		$newname = preg_replace('/[^a-z0-9_\-\.]/i', '_', $file_array['name']);
		$type = $file_array['type'];
			
		$allowed = false;
		
		if ($type == "image/gif")                                   $allowed = true;
		else if ($type == "image/jpeg")                             $allowed = true;
		else if ($type == "image/bmp")                              $allowed = true;
		else if ($type == "image/pjpeg")                            $allowed = true;
		else if ($type == "image/x-png")                            $allowed = true;
		
		if ($file_array['size'] > $config['upload_maxsize'])
			$allowed = false;
		
		if($allowed==true) {
			if (is_uploaded_file($file_array['tmp_name']) ) {
				if (file_exists($config['upload_path'] . "/$newname"))
					$newname = "f".time()."_$newname";
				if(move_uploaded_file($file_array['tmp_name'], $config['upload_path']."/$newname")) {
					
					$ipaddr = $_SERVER['REMOTE_ADDR'];
					$uploadtime = time();
					$filename = $newname;
					$filesize = $file_array['size'];
					$filehash = md5_file($config['upload_path']."/$newname"); 
					
					$sql = mysql_query("INSERT INTO `files` (ipaddress, uploadtime, filename, filesize, filehash, mimetype) VALUES ('$ipaddr', NOW(), '$filename', '$filesize', '$filehash', '$type' );");
					
					$template->assign_block_vars('uploaded', array(
						'FILE_NAME' => $newname,
						'FILE_SIZE' => ((int)(filesize($config['upload_path']."/$newname")/1024))." Kb",
						'IP_ADDRESS' => $_SERVER['REMOTE_ADDR'],
						'FILE_URL' => $config['site_url']."/viewimage.php?id=$filehash"
					));
				} else {
					$template->assign_block_vars('failed', array(
						'FILE_NAME' => $newname,
						'IP_ADDRESS' => $_SERVER['REMOTE_ADDR'],
						'FAIL_REASON' => 'Unknown error has occured.'
					));
				}
			}
		} else {
			if(strlen($newname)!=0) {
				$template->assign_block_vars('failed', array(
					'FILE_NAME' => $newname,
					'IP_ADDRESS' => $_SERVER['REMOTE_ADDR'],
					'FAIL_REASON' => 'Filetype not allowed or too big.'
				));
			}
		}
	}
	
	$template->pparse('header');
	$template->pparse('body');
	$template->pparse('footer');
?>